Bug 467791 - Review Request: vtun - Virtual tunnel over TCP/IP networks
Review Request: vtun - Virtual tunnel over TCP/IP networks
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lucian Langa
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-20 17:36 EDT by Gabriel Somlo
Modified: 2009-03-10 16:19 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-20 20:25:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lucilanga: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Gabriel Somlo 2008-10-20 17:36:34 EDT
Spec URL: http://www.contrib.andrew.cmu.edu/~somlo/vtun.spec
SRPM URL: http://www.contrib.andrew.cmu.edu/~somlo/vtun-3.0.1-1.fc8.src.rpm
Description:
VTun provides a method for creating Virtual Tunnels over TCP/IP networks
and allows one to shape, compress, and encrypt traffic in those tunnels.
Supported types of tunnels are: PPP, IP, Ethernet and most other serial
protocols and programs.
VTun is easily and highly configurable: it can be used for various
network tasks like VPN, Mobile IP, Shaped Internet access, IP address
saving, etc. It is completely a user space implementation and does not
require modification to any kernel parts.
Comment 1 Lucian Langa 2008-11-08 12:39:13 EST
rpmlint:
 W: log-files-without-logrotate /var/log/vtund

please consider adding logrotate script.


In the %files section, we prefer to use 
   %defattr(-, root, root, -)


please also consider preserving timestamps of installed files:

-p flag for install command
and INSTALL="install -p" parameter for makeinstall target.
Comment 2 Gabriel Somlo 2008-11-14 16:01:20 EST
Spec URL: http://www.contrib.andrew.cmu.edu/~somlo/vtun.spec
SRPM URL: http://www.contrib.andrew.cmu.edu/~somlo/vtun-3.0.1-2.fc8.src.rpm

Fixed %defattr

Added -p flag to %{__install} and %{__make} install

I did consider adding a logrotate script before I submitted the review request, but decided against it. vtund does not currently play nicely with having its per-connection traffic counter "log" files rotated (i.e., will not listen to a signal or otherwise detect that the files have been rotated, and will keep writing to the old files until completely restarted). Besides, the real vtund log entries go to syslog. I am considering submitting a feature request (or a patch) to upstream re. rotating connection stats files in /var/log/vtun, but a logrotate script won't help us at this time.
Comment 3 Lucian Langa 2008-11-15 03:46:38 EST
> Besides, the real vtund
> log entries go to syslog. I am considering submitting a feature request (or a
> patch) to upstream re. rotating connection stats files in /var/log/vtun, but a
> logrotate script won't help us at this time.

If so is it really necessary to install /var/log/vtund ?
Comment 4 Gabriel Somlo 2008-11-15 14:56:04 EST
> If so is it really necessary to install /var/log/vtund ?

If the user enables connection stats logging in the config file (/etc/vtund.conf),
the program does generate these files, and I think it might be nice to have the
directory there even though rotating the files therein is not (yet) supported.
Comment 5 Lucian Langa 2008-11-17 14:48:03 EST
Review:

OK  source files match upstream (using corrected URL):
        c342ffe77055d4248a38f0b380f28c1b  vtun-3.0.1.tar.gz
OK  package meets naming and versioning guidelines.
OK  specfile is properly named, is cleanly written and uses macros consistently.
OK  summary is OK.
OK  description is OK.
OK  dist tag is present.
OK  build root is OK.
OK  license field matches the actual license.
OK  license is open source-compatible.
OK  license text included in package.
OK  BuildRequires are proper.
N/A compiler flags are appropriate.
OK  %clean is present.
OK  package builds in mock (rawhide, x86_64).
OK  package installs properly.
OK  debuginfo package looks complete.
OK  rpmlint is silent.
vtun.x86_64: E: non-readable /etc/vtund.conf 0600
vtun.x86_64: W: log-files-without-logrotate /var/log/vtund
vtun.x86_64: W: incoherent-subsys /etc/rc.d/init.d/vtund $prog
First error and last warning can be ignored. 
While the second warning about logfile wont't work for this package.

OK  final provides and requires are sane:
   vtun = 3.0.1-2.fc10
   vtun(x86-64) = 3.0.1-2.fc10
  =
   /bin/sh
   /sbin/chkconfig
   /sbin/service
   config(vtun) = 3.0.1-2.fc10
   libcrypto.so.7()(64bit)
   liblzo2.so.2()(64bit)
   libz.so.1()(64bit)
   xinetd

N/A no shared libraries are added to the regular linker search paths.
OK  owns the directories it creates.
OK  doesn't own any directories it shouldn't.
OK  no duplicates in %files.
OK  file permissions are appropriate.
OK  scriptlets present look OK
OK  initscript looks OK.
OK  code, not content.
OK  documentation is small, so no -doc subpackage is necessary.
OK  %docs are not necessary for the proper functioning of the package.
OK  no headers.
OK  no pkgconfig files.
OK  no static libraries.
OK  no libtool .la files.
N/A not a gui app, no desktop file

Suggestions:
- Use "|| :" at the end of commands in scriptlets because RPM will abort
scripts in the event of errors.

APPROVED.
Comment 6 Gabriel Somlo 2008-11-17 17:05:13 EST
New Package CVS Request
=======================
Package Name: vtun
Short Description: Virtual tunnel over TCP/IP networks
Owners: somlo
Branches: F-8 F-9 F-10 EL-5
InitialCC:
Comment 7 Kevin Fenzi 2008-11-18 20:43:02 EST
cvs done.
Comment 8 Gabriel Somlo 2009-03-09 15:16:27 EDT
Package Change Request
======================
Package Name: vtun
New Branches: EL-4
Owners: somlo
Comment 9 Dennis Gilmore 2009-03-10 16:19:51 EDT
CVS Done

Note You need to log in before you can comment on or make changes to this bug.